CVE-2021-44732

NameCVE-2021-44732
DescriptionMbed TLS before 3.0.1 has a double free in certain out-of-memory conditions, as demonstrated by an mbedtls_ssl_set_session() failure.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severityhigh
Debian Bugs1002631

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
mbedtls (PTS)stretch2.4.2-1+deb9u3vulnerable
stretch (security)2.4.2-1+deb9u4vulnerable
buster2.16.0-1vulnerable
bullseye2.16.9-0.1vulnerable
bookworm, sid2.16.11-0.3vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
mbedtlssourceexperimental2.28.0-0.1
mbedtlssource(unstable)(unfixed)1002631

Notes

https://tls.mbed.org/tech-updates/security-advisories/mbedtls-security-advisory-2021-12
https://github.com/ARMmbed/mbedtls/commit/eb490aabf6a9f47c074ec476d0d4997c2362cdbc (mbedtls-2.16.12)

Search for package or bug name: Reporting problems